function vexalarm.options.profiles.panel()
	return {
		type = "group",
		args = {
			grpadd = {
				name = "Save current settings",
				order=1, type ="group", dialogInline = true,
				args = {
					profile_new = {
						name = "Name",
						order=1, type = "input", width="double",
						set = function(info,val) vexalarm.options.profiles.name = val vexalarm.initialize.core(true) end,
						get = function() return vexalarm.options.profiles.name end,
						},
					profile_new_add = {
						name = "save",
						order=2, type = "execute", width="half",
						disabled = not(vexalarm.options.general.checkName(vexalarm.options.profiles.name)),
						func = function(info,val) vexalarm.options.profiles.save() vexalarm.initialize.core(true) end,
						confirm = vexalarm_SV_profiles[vexalarm.options.profiles.name]~= nil,
						confirmText = "A profile with that name allready exists. Do you want to overwrite it ?",
						},
					status = {name = vexalarm.options.profiles.statusMsg["save"], type = "description", order=10},
					},
				},
			space1 = {name =" ", type = "description", order=4},
			grpdelete = {
				name = "Load, delete, rename",
				order=5, type ="group", dialogInline = true,
				args = {
					profile = {
						name = "Existing profiles",
						order=1, type = "select", style = "dropdown", width="double",
						values = vexalarm.options.profiles.getList(true),
						set = function(self,key)
							vexalarm.options.profiles.current = key
							vexalarm.options.profiles.renameName = key
							vexalarm.initialize.core(true)
							end,
						get = function() return vexalarm.options.profiles.current end,
						},
					--space1 = {name =" ", type = "description", order=10},
					load_exe_all = {
						name = "load all",
						order=11, type = "execute", desc="load frames, raid-warnings and 'current-spell'settings as well as spellprofiles",
						disabled = vexalarm.options.frame.settings.getDisabled(vexalarm.options.profiles.getList(), vexalarm.options.profiles.current),
						func = function(info,val) vexalarm.options.profiles.load("all") vexalarm.initialize.core(true) end,
						},
					load_exe_frames = {
						name = "load frames",
						order=12, type = "execute",
						disabled = vexalarm.options.frame.settings.getDisabled(vexalarm.options.profiles.getList(), vexalarm.options.profiles.current),
						func = function(info,val) vexalarm.options.profiles.load("frames") vexalarm.initialize.core(true) end,
						},
					load_exe_settings = {
						name = "load raid-warnings",
						order=13, type = "execute",
						disabled = vexalarm.options.frame.settings.getDisabled(vexalarm.options.profiles.getList(), vexalarm.options.profiles.current),
						func = function(info,val) vexalarm.options.profiles.load("rw") vexalarm.initialize.core(true) end,
						},
					load_exe_spells = {
						name = "load spell-data",
						order=14, type = "execute", desc="load 'current spell'-settings and spellprofiles",
						disabled = vexalarm.options.frame.settings.getDisabled(vexalarm.options.profiles.getList(), vexalarm.options.profiles.current),
						func = function(info,val) vexalarm.options.profiles.load("spelldata")  vexalarm.initialize.core(true) end,
						},
					status_load = {name = vexalarm.options.profiles.statusMsg["load"], type = "description", order=29},
					space4 = {name =" ", type = "description", order=30},
					newname = {
						name = "New name",
						order=31, type = "input", width="double",
						disabled = vexalarm.options.frame.settings.getDisabled(vexalarm.options.profiles.getList(), vexalarm.options.profiles.current),
						set = function(info,val) vexalarm.options.profiles.renameName = val vexalarm.initialize.core(true) end,
						get = function() return vexalarm.options.profiles.renameName end,
						},
					changename = {
						name = "change name",
						order=32, type = "execute",
						disabled = vexalarm.options.frame.settings.getDisabled(vexalarm.options.profiles.getList(), vexalarm.options.profiles.current) or vexalarm.options.profiles.renameName=="",
						func = function(info,val) vexalarm.options.profiles.rename() vexalarm.initialize.core(true) end,
						confirm = vexalarm_SV_profiles[vexalarm.options.profiles.renameName]~= nil,
						confirmText = "A profile with the new name allready exists. Do you want to overwrite it ?",
						},
					status_rename = {name = vexalarm.options.profiles.statusMsg["rename"], type = "description", order=33},
					space5 = {name =" ", type = "description", order=40},
					delete_exe = {
						name = "delete",
						order=41, type = "execute",
						disabled = vexalarm.options.frame.settings.getDisabled(vexalarm.options.profiles.getList(), vexalarm.options.profiles.current),
						func = function(info,val) vexalarm.options.profiles.delete() vexalarm.initialize.core(true) end,
						confirm = true,
						confirmText = "Do you really want to delete this profile?"
						},
					status_delete = {name = vexalarm.options.profiles.statusMsg["delete"], type = "description", order=42},
					},
				},
			}
		}
end








